Bug 742297 (CVE-2011-3587)

Summary: CVE-2011-3587 zope: Unspecified vulnerability in Zope v2.12.x and Zope v2.13.x allowing arbitrary code execution
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jonathansteffan, robinlee.sysu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-30 13:32:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 742304    

Description Jan Lieskovsky 2011-09-29 15:57:08 UTC
Plone upstream has published a pre-announcement about a security flaw, present in Zope v2.12.x and Zope v2.13.x, which could allow execution of arbitrary code by anonymous users. An authenticated attacker could provide a specially-crafted web page, which once visited by an unsuspecting Zope user would lead to arbitrary commands execution with the privileges of the Zope/Plone service.

References:
[1] http://plone.org/products/plone/security/advisories/20110928
[2] http://secunia.com/advisories/46221/

Note: The vendor announced the final version of the advisory and
      the patch to be available at 2011-10-04 15:00 UTC at the
      following location:
      [3] http://plone.org/products/plone/security/advisories/20110928

Comment 1 Jan Lieskovsky 2011-09-29 16:02:40 UTC
CVE Request:
[4] http://www.openwall.com/lists/oss-security/2011/09/29/9

Comment 2 Robin Lee 2011-09-30 01:13:45 UTC
Zope 2.12.x or 2.13.x is not in Fedora or EPEL.

Comment 3 Jan Lieskovsky 2011-09-30 13:29:19 UTC
This issue did NOT affect the versions of the zope and plone packages, as present within EPEL-5 repository.

Comment 4 Jan Lieskovsky 2011-09-30 13:32:38 UTC
Statement:

Not vulnerable. This issue did not affect the versions of conga as
shipped with Red Hat Cluster Suite for Red Hat Enterprise Linux 4 and 5.

Comment 5 Jan Lieskovsky 2011-10-03 10:24:14 UTC
The CVE identifier of CVE-2011-3587 has been assigned to this issue:
[5] http://www.openwall.com/lists/oss-security/2011/09/30/7